Bug 10623 - [3.1] alterator-vm usability issues
: [3.1] alterator-vm usability issues
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-09 14:55 by
Modified: 2008-02-04 22:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-09 14:55:34
Нынешний интерфейс vm слишком тяжёл для пользователя. 

Почему это так?
Почему все недовольны и как их удовлетворить?

Дело в том что модуль не стесняясь выдаёт все свои богатые возможности
пользователю. 90% пользователям не нужно даже знать о 99% возможностях evms.

Предлагаю прежде всего "свернуть" интерфейс. То есть фанаты-эксперты - будут
получать полный доступ к ручкам, а простые смертные не будут замечать лишнего
на
экране и пугаться.

1. Свёртка основного экрана.

Cначала пользователь видит кнопку которая предлагает разбить всё автоматом -
простые люди жмут на неё и переходят к установке basesystem.
(может быть несколько вариантов разбивки - сервер, десктоп, роутер и так далее)

Тем кому хочется странного нажимают кнопку "Хочу странного" и видят экран на
котором им предлагается ручками по-развешивать точки монтирования над
существующими томами (желательно чтобы обнаруженные ранее разделы диска были
сразу сделаны томами, если конечно не входят в другие структуры).

На этом этапе удовлетворится другая категория пользователей. Но те кому хочется
очень странного жмут кнопку "Хочу очень странного" и видят экран на котором им
предлагается разбить тома с полным набором имеющихся извращений: raid,lvm и так
далее.

2. Свёртка создания файловой системы

Сейчас при назначении на том файловой системы пользователю выкатывается диалог
в
котором 99,9% информации его не интересует. Предлагается следующее: в диалоге
выбора типа файловой системы внизу стоит галочка (по-умолчанию выключенная)
"мне
хочется странного". Простые смертные просто выбирают файловую систему и
автоматом создают её с параметрами по-умолчанию, странные смертые внимательно
выбирают галочку и следующим шагом видят все прелести настроек, скажем, XFS.

3. Свёртка создания тома

Большинство людей создавая раздел сразу хотят получить том на нём, предлагается
в диалоге создания раздела внизу добавить галочку (по-умолчанию включённая)
"создать том". 

Простые смертные создают раздел - сразу получают том.
Странные смертные создают раздел без тома и потом занимаются прелестями
lvm,raid
и так далее ....


Не факт что все предложенные мною "свёртки" приживутся, но действовать по
интерфейсу надо именно таким образом, "сворачивать", но не "резать". В
результате мы должны получить полнофункциональный интерфейс, и одновременно
путь
пользователя должен значительно сократиться.
------- Comment #1 From 2007-01-09 15:06:45 -------
пафос выступления понятен и принимается. по пунктам:
1) уже делается, заинтересованные лица могут предлагать список профилей
автоматической разбивки;
2) принимается с той оговоркой, что мне хотелось бы показать
окно с минимумом опций для выбранной файловой системы; с ходу
вспоминается опция 'создать журнал', которую наверное не стоит
прятать;
3) реализуемо, но не уверен, что это годится как общее решение;
возможно, стоит сделать так для compact, но оставить как есть в master
------- Comment #2 From 2007-01-09 15:11:28 -------
на тот случай, если кому-то нравится то, что есть сейчас (вдруг), аргумент в 
поддержку нынешнего положения дел: 'богатые возможности' имеют уже применённые 
значения по умолчанию, посему неискушённому пользователю достаточно просто 
соглашаться с предлагаемым.
------- Comment #3 From 2007-01-09 16:49:45 -------
2 inger

1: угу
2: ну с тремя девятками ты погорячился, опций там не пара тысяч... :-)
3: угу

2 lioka

Серж, ты недооцениваешь леность человеческую.  Вне зависимости от того, Compact
или Master, при слишком большом количестве ввода/вывода на тривиальное действие
вроде создания свопа мнения/отзывы и следующие из них решения будут скорее
негативными.

(In reply to comment #2)
> на тот случай, если кому-то нравится то, что есть сейчас (вдруг), аргумент в 
> поддержку нынешнего положения дел: 'богатые возможности' имеют уже применённые 
> значения по умолчанию, посему неискушённому пользователю достаточно просто 
> соглашаться с предлагаемым.
Даже не знаю, на что сослаться, попробую на свою юзерский авторитет :)))

Если в трёх диалогах, скорее всего, нажмут <enter> и особенно если выбранное
возможно изменить позже -- их лучше просто пропустить, назначив умолчания по
принципам "good enough" и "nobody was fired for...".  Хотя бы ради избежания
информационной перегрузки неискушённого пользователя и мороки для тех, кто в
курсе (два раза жать энтер, чтобы получить своп -- это чуточку слишком).

В случае fs это на сейчас, наверное, ext3; в случае "тривиальной" разбивки --
swap (0.5--2xRAM), / (~4G), /home (сколько влезет), в случае "тривиальной
серверной разбивки" -- swap (1--2xRAM), / (~1--2G), /var и /home (пополам). 
Если к последнему варианту при наличии двух одинаковых дисков ещё будет
предложено "сделать зеркало" -- вообще идеально.

(в принципе, почитав про "жалезный" Intel Matrix RAID на мамках вроде i965 --
который умеет на двух дисках сделать RAID1 "для данных" плюс RAID0 "для взянных"
-- подумал, что для дома было бы клёво при двух одинаковых по объёму дисках
показывать кнопку "matrix", вот только куда при этом совать RAID0, пока толком
не придумал, ну не в /var/ftp/pub же...)

Можно также глянуть разбивалку в M24, она была вполне юзабельной и в части
дефолтов размеров и использования разделов (мож чуточку скорректировав в сторону
"первый -- своп, второй -- корень, третий -- дом", соответственно полному
автомату предложив типы разделов и размеры ФС).

По поводу "первый -- своп" основное обоснование -- не "быстрые цилиндры", а "при
человеческих и программных ошибках первый раздел имеет больше шансов случайно
погибнуть" (dd of=/dev/hda вместо hda5, или винда наступила -- раздавались
прецеденты, особенно с разделами между виндовых); контрвариант со свопом
примерно посреди диска при нынешних их объёмах проще считать advanced'ным и
ручным, ну или разве между /var и /home в варианте, когда оба есть.  Правда, сам
последнее время предпочитаю всё равно в начало.

(In reply to comment #1)
> 2) принимается с той оговоркой, что мне хотелось бы показать
> окно с минимумом опций для выбранной файловой системы
Серж, не надо.  Лучше "дополнительно" (для того, что надо mkfs или логически
ложится туда же -- например, bytes per inode в ext3 или external journal в xfs)
или настраивать для желающих правой кнопкой по разделу или тычком в "Опции ФС",
и уж туда можно хотеть показать (как-то check order или noatime).

> с ходу вспоминается опция 'создать журнал', которую наверное
> не стоит прятать;
Именно что стоит -- по умолчанию включено, а те, кто сознательно использует
ext2, всё равно на автомат для этого полагаться не будут.

Вообще если планируется возрождать режим "эксперт", то было бы клёво уметь
запустить в терминале каком fdisk/cfdisk/sfdisk (2 legion: или хотя бы положить
их туда) и evmsn.  Когда-то такое было в RH 6.x или 7.x, пару раз выручало.
------- Comment #4 From 2007-01-09 17:19:32 -------
> Вообще если планируется возрождать режим "эксперт", то было бы клёво уметь
> запустить в терминале каком fdisk/cfdisk/sfdisk (2 legion: или хотя бы 
положить
> их туда) и evmsn.  Когда-то такое было в RH 6.x или 7.x, пару раз выручало.
Не надо ложить, особенно второе.
------- Comment #5 From 2007-01-12 18:03:47 -------
(In reply to comment #1)
> 1) уже делается, заинтересованные лица могут предлагать список профилей
> автоматической разбивки;
OpenVZ - / (400-600M), swap (0.5-8G), /vz (всё остальное)

Я правда ещё /boot отдельно выношу по старой привычке...
------- Comment #6 From 2007-01-29 13:38:26 -------
полагаю, нынешнее состояние пакета достаточное для fixed
обсуждение профилей предлагается проводить в другом месте.
------- Comment #7 From 2007-01-29 14:06:00 -------
Можешь указать версию (или коммит)?  Шоб пощупать.  Сейчас приехал 0.3-alt1.
------- Comment #8 From 2007-01-29 14:25:51 -------
да, 0.3-alt1
------- Comment #9 From 2007-01-30 10:18:33 -------
А что думаешь насчёт того чтобы разделить всё-таки экран редактирования на две
части? Собственно точки монтирования и работа с томами и партициями.
------- Comment #10 From 2007-01-30 13:11:17 -------
Есть ещё такая мысль, что Disks/RAID/LVM у нас имеют небольшую ширину, заметную
высоту при разворачивании (к вопросу о скроллинге) и логически раздельны --
может, имеет смысл нижнее окошко побить на три горизонтально упакованных?
------- Comment #11 From 2007-01-30 15:06:16 -------
1) насчёт выделения назначения точек монтирования в отдельный шаг --
я что-то не уверен, что это будет востребовано. скорее стоит
подумать о таком варианте: сначала, где выбор профиля, отметить
'ненужные' тома, затем выбрать один из вариантов автомагической разбивки.
2) разбиение дерева на куски -- неудобно отслеживать (пользователю),
где что появилось/исчезло.
------- Comment #12 From 2007-01-30 15:14:07 -------
(In reply to comment #11)
> 2) разбиение дерева на куски -- неудобно отслеживать (пользователю),
> где что появилось/исчезло.
Ну я поприкидывал, что так видимость суммы дерева будто бы выше, но как скажешь.
------- Comment #13 From 2008-02-04 22:46:45 -------
Закрываю; впрочем, думаю, что из этого обсуждения ещё есть что почерпнуть, всем
спасибо.

2 inger: /vm -- одно из немногих по выразительности мест, где не хватает right
click.  Причём было бы здорово завести такой виджет, который бы можно было
вставлять туда, где оно сейчас рисует контекстно-зависимые кнопки с действиями,
и набивать вместе с контекстной менюшкой по правой кнопке.